/* stylelint-disable */
/* Sumo select ================ */

:root {
  --select-height: 50px;
  --select-border-radius: 10px;

  --select-font-color: var(--color-black-light);
  --select-font-family: var(--font-family-main);
  --select-font-weight: var(--text-font-weight-regular);
  --select-font-size: var(--text-size-main);
  --select-line-height: var(--text-line-height-main);

  --select-border: 1px solid var(--color-black-light);

  --select-background-color: var(--color-white);
  --select-background-color-hover: #f5f5f5;

  --select-placeholder-color: color-mod(var(--color-black-light) lightness(20%));
}

.SumoSelect {

  > .CaptionCont {
    position: relative;
    display: inline-flex;
    align-items: center;
    width: 100%;
    min-height: var(--select-height);
    padding-right: 42px;
    padding-left: 22px;
    margin: 0;
    border: var(--select-border);
    border-radius: var(--select-border-radius);
    font-size: var(--select-font-size);
    background: var(--select-background-color);
    cursor: pointer;

    > span {
      display: block;
      overflow: hidden;
      color: var(--select-font-color);
      font-weight: var(--select-font-weight);
      font-size: var(--select-font-size);
      line-height: var(--select-line-height);
      font-family: var(--select-font-family);
      white-space: nowrap;
      text-overflow: ellipsis;
      cursor: pointer;

      &.placeholder {
        color: var(--select-placeholder-color);
        opacity: .55;
      }
    }

    label > i {
      content: " ";
      position: absolute;
      top: 50%;
      right: 22px;
      display: block;
      width: 10px;
      height: 10px;
      border-top: var(--select-border);
      border-right: var(--select-border);
      transform: translateY(-70%) rotate(135deg);
    }
  }

  .optWrapper {
    position: absolute;
    top: 100%;
    right: 0;
    left: 0;
    z-index: 1000;
    display: none;
    box-sizing: border-box;
    margin-top: -2px;
    border: var(--select-border);
    border-top-color: transparent;
    border-radius: 0 0 var(--select-border-radius) var(--select-border-radius);
    overflow: hidden;
    background: var(--select-background-color);
  }

  &.open {

    > .CaptionCont {
      border-bottom-color: transparent;
      border-radius: var(--select-border-radius) var(--select-border-radius) 0 0;

      label > i {
        transform: translateY(-30%) rotate(315deg);
      }
    }

    .optWrapper {
      top: 102%;
      display: block;
    }
  }

  .sumo-select.error {

    ~ .CaptionCont {
      border-color: var(--color-error);
      /* box-shadow: 0 0 0 1px var(--color-error) inset; */
    }

    ~ .optWrapper {
      border-color: var(--color-error);
      border-top-color: transparent;
    }
  }

  .sumo-select--no-border {

    ~ .CaptionCont {
      border-color: transparent;
    }

    ~ .optWrapper {
      border-color: transparent;
    }
  }
}

/* OPTIONS */

.SumoSelect {

  > .optWrapper {

    > .options {

      > li.opt {

        font-size: var(--select-font-size);

        label {
          padding: 12px 22px;
          cursor: pointer;

          &:empty {
            display: none;
          }
        }
      }
    }
  }
}

.SumoSelect p {
  margin: 0;
}

.SumoSelect {
  width: 100%;
}

.SelectBox {
  padding: 5px 8px;
}

.sumoStopScroll {
  overflow: hidden;
}

/* Filtering style */
.SumoSelect .hidden {
  display: none;
}

.SumoSelect .search-txt {
  display: none;
  outline: none;
}

.SumoSelect .no-match {
  display: none;
  padding: 6px;
}

.SumoSelect.open .search-txt {
  position: absolute;
  top: 0;
  left: 0;
  display: inline-block;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  width: 100%;
  padding: 5px 8px;
  margin: 0;
  border: none;
  border-radius: 5px;
}

.SumoSelect.open > .search > span,
.SumoSelect.open > .search > label {
  visibility: hidden;
}

/*
  This is applied on that hidden select. DO NOT USE display:none;
  or visiblity:hidden; and Do not override any of these properties.
*/

.SelectClass,
.SumoUnder {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  border: none;
  -moz-opacity: 0;
  -khtml-opacity: 0;
  opacity: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: alpha(opacity=0);
}

.SelectClass {
  z-index: 1;
}

.SumoSelect > .optWrapper > .options li.opt label,
.SumoSelect > .CaptionCont,
.SumoSelect .select-all > label {
  -o-user-select: none;
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.SumoSelect {
  position: relative;
  display: inline-block;
  outline: none;
}

.SumoSelect > .CaptionCont > label {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  width: 30px;
}

.SumoSelect.open > .optWrapper.up {
  top: auto;
  bottom: 100%;
  margin-bottom: 5px;
}

.SumoSelect > .optWrapper ul {
  display: block;
  padding: 0;
  margin: 0;
  overflow: auto;
  list-style: none;
}

.SumoSelect > .optWrapper > .options {
  position: relative;
  max-height: 250px;
  border-radius: 2px;
}

.SumoSelect > .optWrapper.okCancelInMulti > .options {
  border-radius: 2px 2px 0 0;
}

.SumoSelect > .optWrapper.selall > .options {
  border-radius: 0 0 2px 2px;
}

.SumoSelect > .optWrapper.selall.okCancelInMulti > .options {
  border-radius: 0;
}

.SumoSelect > .optWrapper > .options li.group.disabled > label {
  opacity: .5;
}

.SumoSelect > .optWrapper.multiple > .options li ul li.opt {
  padding-left: 50px;
}

.SumoSelect > .optWrapper.isFloating > .options {
  max-height: 100%;
  box-shadow: 0 0 100px #595959;
}

.SumoSelect > .optWrapper > .options li.opt {
  position: relative;
}

.SumoSelect > .optWrapper.selall > .options > li.opt:first-child {
  border-radius: 0;
}

.SumoSelect > .optWrapper > .options > li.opt:last-child {
  border-bottom: none;
  border-radius: 0 0 2px 2px;
}

.SumoSelect > .optWrapper.okCancelInMulti > .options > li.opt:last-child {
  border-radius: 0;
}

.SumoSelect > .optWrapper > .options li.opt:hover {
  background-color: var(--select-background-color-hover);
}

.SumoSelect > .optWrapper > .options li.opt.sel,
.SumoSelect .select-all.sel {
  background-color: #a1c0e4;
}

.SumoSelect > .optWrapper > .options li label {
  display: block;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  cursor: pointer;
}

.SumoSelect > .optWrapper > .options li span {
  display: none;
}

.SumoSelect > .optWrapper > .options li.group > label {
  padding: 8px 6px;
  font-weight: bold;
  cursor: default;
}

/* Floating styles */
.SumoSelect > .optWrapper.isFloating {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 90%;
  max-height: 90%;
  margin: auto;
  border-radius: 10px;
}

/* disabled state */
.SumoSelect > .optWrapper > .options li.opt.disabled {
  background-color: inherit;
  pointer-events: none;
}

.SumoSelect > .optWrapper > .options li.opt.disabled * {
  -moz-opacity: .5; /* Safari 1.x */
  -khtml-opacity: .5; /* Good browsers */
  opacity: .5;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)"; /* IE 5-7 */
  filter: alpha(opacity=50); /* Netscape */
}

/* styling for multiple select */
.SumoSelect > .optWrapper.multiple > .options li.opt {
  padding-left: 35px;
  cursor: pointer;
}

.SumoSelect > .optWrapper.multiple > .options li.opt span,
.SumoSelect .select-all > span {
  position: absolute;
  top: 0;
  bottom: 0;
  display: block;
  width: 30px;
  margin-left: -35px;
}

.SumoSelect > .optWrapper.multiple > .options li.opt span i,
.SumoSelect .select-all > span i {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 14px;
  height: 14px;
  margin: auto;
  border: 1px solid #aeaeae;
  border-radius: 2px;
  background-color: #ffffff;
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, .15);
}

.SumoSelect > .optWrapper > .MultiControls {
  display: none;
  border-top: 1px solid #dddddd;
  border-radius: 0 0 3px 3px;
  background-color: #ffffff;
  box-shadow: 0 0 2px rgba(0, 0, 0, .13);
}

.SumoSelect > .optWrapper.multiple.isFloating > .MultiControls {
  position: absolute;
  bottom: 0;
  display: block;
  width: 100%;
  margin-top: 5px;
}

.SumoSelect > .optWrapper.multiple.okCancelInMulti > .MultiControls {
  display: block;
}

.SumoSelect > .optWrapper.multiple.okCancelInMulti > .MultiControls > p {
  padding: 6px;
}

.SumoSelect > .optWrapper.multiple.okCancelInMulti > .MultiControls > p:focus {
  border-color: #a1c0e4;
  background-color: #a1c0e4;
  box-shadow: 0 0 2px #a1c0e4;
  outline: none;
}

.SumoSelect > .optWrapper.multiple > .MultiControls > p {
  display: inline-block;
  box-sizing: border-box;
  width: 50%;
  padding: 12px;
  text-align: center;
  cursor: pointer;
}

.SumoSelect > .optWrapper.multiple > .MultiControls > p:hover {
  background-color: #f1f1f1;
}

.SumoSelect > .optWrapper.multiple > .MultiControls > p.btnOk {
  border-right: 1px solid #dbdbdb;
  border-radius: 0 0 0 3px;
}

.SumoSelect > .optWrapper.multiple > .MultiControls > p.btnCancel {
  border-radius: 0 0 3px;
}

/* styling for select on popup mode */
.SumoSelect > .optWrapper.isFloating > .options li.opt {
  padding: 8px 6px;
}

/* styling for only multiple select on popup mode */
.SumoSelect > .optWrapper.multiple.isFloating > .options li.opt {
  padding-left: 35px;
}

.SumoSelect > .optWrapper.multiple.isFloating {
  padding-bottom: 43px;
}

.SumoSelect > .optWrapper.multiple > .options li.opt.selected span i,
.SumoSelect .select-all.selected > span i,
.SumoSelect .select-all.partial > span i {
  border-color: transparent;
  background-color: rgb(17, 169, 17);
  background-image: url("data:image/svg+xml;charset=utf8, %3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 48.8 27.7'%3E%3Cpath d='M47.8 5.6c.6-.6 1-1.4 1-2.3 0-.8-.3-1.7-1-2.3-1.3-1.3-3.4-1.3-4.6 0L24.4 19.8 5.6 1C4.3-.3 2.2-.3 1 1-.3 2.3-.3 4.4 1 5.6l21.1 21.1c.6.6 1.4 1 2.3 1s1.7-.3 2.3-1L47.8 5.6z'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: center center;
  box-shadow: none;
}

/* disabled state */
.SumoSelect.disabled {
  opacity: .7;
  cursor: not-allowed;
}

.SumoSelect.disabled > .CaptionCont {
  border-color: #cccccc;
  box-shadow: none;
}

/**  Select all button  **/
.SumoSelect .select-all {
  position: relative;
  height: 20px;
  padding: 8px 0 3px 35px;
  border-bottom: 1px solid #dddddd;
  border-radius: 3px 3px 0 0;
  background-color: #ffffff;
  cursor: pointer;
}

.SumoSelect .select-all > label,
.SumoSelect .select-all > span i {
  cursor: pointer;
}

.SumoSelect .select-all.partial > span i {
  background-color: #cccccc;
}

/* styling for optgroups */
.SumoSelect > .optWrapper > .options li.optGroup {
  padding-left: 5px;
  text-decoration: underline;
}

/* ================ end sumoselect */
/* stylelint-enable */
